# Delete a folder

```http
POST https://api.synup.com/api/v4/folders/delete
```

This API deletes a specified folder from the account. This action is irreversible.

**Behavior:**
- Any locations within the folder will be unassigned but not archived.
- Once deleted, the folder cannot be restored.

Source: https://developer.synup.com/api/organizing-locations/delete-a-folder

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.name` | string | required | The name of the folder to delete |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/folders/delete' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "name": "Acme New"
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Folder successfully deleted |
| `400` | Bad request - folder name is invalid or missing |
| `403` | Unauthorized - insufficient permissions to delete folder |
| `404` | Folder not found |
